.navtop {
  z-index: 1002;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  background: #fff;
  height: 80px;
  font-weight: 900;
  transform: translateY(0);
  transition: transform 0.3s ease;
  will-change: transform;
  display: flex;
  align-items: center;
  box-shadow: 0 0 5px 0 #bebebe;
}

.navtop.nav-hidden {
  transform: translateY(-110%);
}
.menu-toggle.toggle-hidden {
  transform: translateY(-150%);
}


.navtop a {
  text-decoration: none;
  color: #333;
}

.infotop.scrolled {
  left: 0;
  right: 0;
  border-radius: 0 0 10px 10px;
  margin: 0;
  transition: all 0.3s ease;
  margin-bottom: 15px;
}

.nav-list {
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: absolute;
  right: 20px;
}

.nav-list li {
  display: flex;
  align-items: center;
  justify-content: center;
  border-bottom: #fff 1px solid;
}

.nav-list li:hover {
  border-bottom: 1px solid #333333;
}

.nav-list div {
  background: gray;
  height: 15px;
  width: 0.5px;
  transform: rotate(20deg);
}

.logo {
  width: auto;
  height: 45px;
}

.logoa {
  display: flex;
  margin-left: 20px;
}

nav ul {
  list-style: none;
  display: flex;
  gap: 1em;
  margin: 0;
  padding: 0;
}

nav a {
  color: white;
  text-decoration: none;
}

.menu-toggle {
  display: none;
  flex-direction: column;
  justify-content: center;
  gap: 5px;
  width: 30px;
  height: 30px;
  cursor: pointer;
  position: fixed;
  top: 1em;
  right: 1em;
  z-index: 1100;
  transition: transform 0.3s ease;
  border-radius: 100px;
}

.menu-toggle span {
  display: block;
  height: 2px;
  background: #000;
  transition: all 0.3s ease;
  margin-left: 1.5px;
}

.menu-toggle.open span:nth-child(1) {
  transform: rotate(45deg) translate(5px, 4.5px);
}

.menu-toggle.open span:nth-child(2) {
  transform: scaleX(0);
  opacity: 0;
}

.menu-toggle.open span:nth-child(3) {
  transform: rotate(-45deg) translate(5px, -4.5px);
}

.menu-toggle.open {
  transition: all 0.3s ease;
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: 1005;
  display: none;
  background: #00000051;
}

.overlay.active {
  display: block;
}

.mobile-nav {
  position: fixed;
  width: 100%;
  right: -100%;
  height: 100%;
  max-width: 500px;
  padding: 40px 20px;
  top: 0;
  bottom: 0;
  background: #fff;
  transition: right 0.3s ease;
  z-index: 1006;
  display: flex;
  flex-direction: column;
  box-sizing: border-box;
  overflow-y: auto;
}

.mobile-nav.open {
  right: 0;
}

.mobile-nav ul {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 0;
  margin: 0;
  padding: 0;
  margin-top: 30px;
}

.mobile-nav li {
  transition: all 0.3s ease;
  font-weight: 600;
  height: 55px;
  display: flex;
  align-items: center;
}

.mobile-nav a {
  color: #333;
  text-decoration: none;
  display: flex;
  padding: 10px;
}

@media (max-width: 768px) {
  .navtop {
    height: 60px;
  }
  nav ul {
    display: none;
  }
  .menu-toggle {
    display: flex;
  }
  .nav-list {
    display: none;
  }
  .infotop {
    width: 100%;
  }
  .logo {
    height: 35px;
  }
}

/**/
